Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.document.relaxng.impl
Class ChoiceNameClassImpl

    java.lang.Object
      xmltorng.document.relaxng.impl.ChoiceNameClassImpl

All Implemented Interfaces:
  ChoiceNameClass, NameClass

    public class ChoiceNameClassImpl

extends java.lang.Object
implements ChoiceNameClass

Field Summary

Fields inherited from interface xmltorng.framework.document.relaxng.NameClass
`NAMECLASS_ANYNAME, NAMECLASS_CHOICE, NAMECLASS_NAME, NAMECLASS_NSNAME`

Constructor Summary
`ChoiceNameClassImpl(NameClass[] nameClasses)`

Method Summary
`NameClass` | `getChild(int index)` Return the child nameClass with index `index`.
`int` | `getChildCount()` Return the child nameClass count.
`int` | `getNameClassType()` Return the nameClass type.
`void` | `reorder(java.util.Comparator comparator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoiceNameClassImpl

    public ChoiceNameClassImpl(NameClass[] nameClasses)

Method Detail

### reorder

    public void reorder(java.util.Comparator comparator)

### getNameClassType

    public int getNameClassType()

  Description copied from interface: `NameClass`
  Return the nameClass type. Is one of the NAMECLASS_* constants.

  Specified by:
    `getNameClassType` in interface `NameClass`

### getChildCount

    public int getChildCount()

  Description copied from interface: `ChoiceNameClass`
  Return the child nameClass count. Is >= 1.

  Specified by:
    `getChildCount` in interface `ChoiceNameClass`

### getChild

    public NameClass getChild(int index)

  Description copied from interface: `ChoiceNameClass`
  Return the child nameClass with index `index`. `0 <= index < childCount`.

  Specified by:
    `getChild` in interface `ChoiceNameClass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD